.product {
  h1 {
    margin: 30px 0;
    color: #27496a;
  }
  .product__list {
    .product__item {
      cursor: pointer;
      transition: all 0.5s;
      overflow: hidden !important;
      border-radius: 25px;
      border: 1px solid rgba(0, 0, 0, 0.125);
      position: relative;
      .product__item__overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 300%;
        height: 100%;
        transform: skewX(40deg) translateX(-120%);
        background-color: rgba(39, 73, 106, 0.6);
        border-radius: 0.25rem;
        transition: ease-in-out 0.5s;
      }
      &:hover {
        .product__item__overlay {
          transform: skewX(40deg) translateX(-20%);
        }
        .product__item__icon {
          button {
            transform: scale(1);
            opacity: 1;
          }
        }
      }
      .card {
        border: none;
        position: relative;
        .card-body {
          .card-title {
            color: #27496a;
          }
          .card-text {
            color: #000;
          }
        }
      }
      .product__item__icon {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        display: flex;
        flex-direction: column;

        button {
          opacity: 0;
          transition: all 0.2s;
          color: #27496a;
          background-color: #fff;
          border-color: #27496a;
          transition: all 0.4s;
          transform: scale(0.8);
          &:hover {
            background-color: #27496a;
            color: #fff;
          }
        }
        .product__item__buy {
          margin-top: 20px;
          width: 150px;
        }
      }
    }
  }
}
// opacity: 0;
// transition: all 0.2s;
// color: #27496a;
// background-color: #fff;
// border-color: #27496a;
// transition: all 0.4s;
// &:hover {
//   background-color: #27496a;
//   color: #fff;
// }
